Bug 1843727 - buildah needs to consider envs, etc. from both ContainerConfig and Config from image
Summary: buildah needs to consider envs, etc. from both ContainerConfig and Config fro...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Nalin Dahyabhai
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-03 23:14 UTC by Gabe Montero
Modified: 2020-09-15 13:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift builder pull 175 None closed Bug 1843727: bump github.com/openshift/imagebuilder to v1.1.7 2020-09-23 17:18:00 UTC

Description Gabe Montero 2020-06-03 23:14:22 UTC
From interaction with openshift devs using 4.x vs. 3.x based CI

per agreement with Nalin, opening a bug to track

See slack thread https://coreos.slack.com/archives/C014MHHKUSF/p1591216952054700 for the triage / diagnosis

Comment 1 Gabe Montero 2020-06-04 23:45:15 UTC
Realized I did the wrong product/component ... fixing now.

Comment 2 Tom Sweeney 2020-06-05 14:51:26 UTC
Moving to the Buildah component as assigning to Nalin.

Comment 4 Nalin Dahyabhai 2020-07-10 20:58:50 UTC
I'm able to reproduce this, but only in OpenShift, as the buildah CLI seems to be getting the right result.  The incorrect value could be coming from ContainerConfig, or it could be the hardwired default that we use when no value is set, since in the error case they appear to have the same value.

Comment 5 Nalin Dahyabhai 2020-07-14 02:03:45 UTC
I no longer believe that ContainerConfig/Config confusion is the root cause.  https://github.com/openshift/imagebuilder/pull/169 should fix the problem once it's merged and we integrate a version with the change.

Comment 6 Nalin Dahyabhai 2020-07-30 22:07:51 UTC
We've encountered a regression in the upstream fix (https://github.com/openshift/imagebuilder/issues/173) which I thought would resolve this, so we need to do some more work there.

Comment 7 Nalin Dahyabhai 2020-08-18 13:47:44 UTC
Regression in imagebuilder should be fixed as of https://github.com/openshift/imagebuilder/pull/174, so we need to tag a release there and then we can pull it in to the builder.

Comment 8 Tom Sweeney 2020-09-11 19:01:14 UTC
The release in ImageBuilder was just recently created and needs to now be vendored through Buildah and Podman.  That won't happen today, so I'm moving to Upcoming Sprint.

Comment 10 Daniel Walsh 2020-09-15 13:28:46 UTC
https://github.com/containers/buildah/pull/2616


Note You need to log in before you can comment on or make changes to this bug.